com.dlsc.flexgantt.swing.layer.system

## Class TimeNowLayer

- java.lang.Object
- - com.dlsc.flexgantt.swing.layer.AbstractLayer
  - - com.dlsc.flexgantt.swing.layer.system.AbstractSystemLayer
    - - com.dlsc.flexgantt.swing.layer.system.TimeNowLayer

- All Implemented Interfaces:
    PropertyChangeListener, EventListener

      public class TimeNowLayer
      extends AbstractSystemLayer
      implements PropertyChangeListener

  The time now layer has the sole purpose of drawing the vertical line at the location of the time now.
  Since:
    1.0
  Version:
    $Revision: 1.13 $
  Author:
    Dirk Lemmermann
  See Also:
    `Eventline.getTimeNow()`

- - ### Field Summary

    - ### Fields inherited from class com.dlsc.flexgantt.swing.layer.AbstractLayer

      `alpha, changeSupport, ganttChart, layerContainer, PROPERTY_ALPHA, PROPERTY_VISIBLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeNowLayer(LayerContainer lc)` Constructs a new time now layer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `paintLayer(Graphics g)`
    `protected void` | `paintTimeNow(Graphics g, int x)` Draws the time now indicator line at the given location.
    `void` | `propertyChange(PropertyChangeEvent evt)`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.layer.AbstractLayer

      `addPropertyChangeListener, getAlpha, getDateline, getEventline, getGanttChart, getHeight, getLayerContainer, getLayerPolicyProvider, getModel, getName, getStartRow, getTimeAt, getTimeline, getTimeLocation, getTimeSpanUsed, getToolTipText, getTreeTable, getTreeTablePolicyProvider, getWidth, isVisible, removePropertyChangeListener, repaint, repaint, repaint, setAlpha, setVisible, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeNowLayer

          public TimeNowLayer(LayerContainer lc)

      Constructs a new time now layer.
      Parameters:
        `lc` - the layer container to which the layer belongs
      Since:
        1.0

  - ### Method Detail

    - #### paintLayer

          protected void paintLayer(Graphics g)

      Overrides:
        `paintLayer` in class `AbstractLayer`

    - #### paintTimeNow

          protected void paintTimeNow(Graphics g,
                                      int x)

      Draws the time now indicator line at the given location.
      Parameters:
        `g` - the graphics context into which to draw
        `x` - the location of time now
      Since:
        1.0

    - #### propertyChange

          public void propertyChange(PropertyChangeEvent evt)

      Specified by:
        `propertyChange` in interface `PropertyChangeListener`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.